ghc-lib-parser-9.14.1.20251220: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Unit.Module.Stage

# Documentation

data ModuleStage #

Constructors

CompileStage |
RunStage |

#### Instances

Instances details

Bounded ModuleStage # |
Instance details Defined in GHC.Unit.Module.Stage Methods minBound :: ModuleStage # maxBound :: ModuleStage #
Enum ModuleStage # |

Instance details

Defined in GHC.Unit.Module.Stage

Methods

succ :: ModuleStage -> ModuleStage #

pred :: ModuleStage -> ModuleStage #

toEnum :: Int -> ModuleStage #

fromEnum :: ModuleStage -> Int #

enumFrom :: ModuleStage -> [ModuleStage] #

enumFromThen :: ModuleStage -> ModuleStage -> [ModuleStage] #

enumFromTo :: ModuleStage -> ModuleStage -> [ModuleStage] #

enumFromThenTo :: ModuleStage -> ModuleStage -> ModuleStage -> [ModuleStage] #

Outputable ModuleStage # |
Instance details Defined in GHC.Unit.Module.Stage Methods ppr :: ModuleStage -> SDoc #
Eq ModuleStage # |
Instance details Defined in GHC.Unit.Module.Stage Methods (==) :: ModuleStage -> ModuleStage -> Bool # (/=) :: ModuleStage -> ModuleStage -> Bool #
Ord ModuleStage # |
Instance details Defined in GHC.Unit.Module.Stage Methods compare :: ModuleStage -> ModuleStage -> Ordering # (<) :: ModuleStage -> ModuleStage -> Bool # (<=) :: ModuleStage -> ModuleStage -> Bool # (>) :: ModuleStage -> ModuleStage -> Bool # (>=) :: ModuleStage -> ModuleStage -> Bool # max :: ModuleStage -> ModuleStage -> ModuleStage # min :: ModuleStage -> ModuleStage -> ModuleStage #

allStages :: [ModuleStage] #

nowAndFutureStages :: ModuleStage -> [ModuleStage] #

onlyFutureStages :: ModuleStage -> [ModuleStage] #

minStage :: ModuleStage #

maxStage :: ModuleStage #

zeroStage :: ModuleStage #

decModuleStage :: ModuleStage -> ModuleStage #

incModuleStage :: ModuleStage -> ModuleStage #